Bug 1263592 - Quota calculation does not count all VMs/Instances for All providers own by Group
Quota calculation does not count all VMs/Instances for All providers own by G...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Tina Fitzgerald
Alex Newman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 05:09 EDT by Loic Avenel
Modified: 2015-12-08 08:30 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:30:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Loic Avenel 2015-09-16 05:09:08 EDT
Description of problem: Group A has 5 VMs: 2 from Vmware, 1 from Rhev, one from OpenStack and one from Amazon. When running report for my group, I can see correctly cumulated CPU, Memory and Storage. But when I am provisioning a VM, group quota check just check for 2 VMs (probably the one in the same context of the provisionning VM)


Version-Release number of selected component (if applicable):

5.4.2.0.20150820153254_83e434d

How reproducible:

Always

Steps to Reproduce:
1. Create a user & Group who owns already few VMs from different providers
2. provision a VM (not via Services)
3. Check Quota in log: Inspecting quota_group:<{:count=>2, :memory=>3072, :cpu=>2, :snapshot_storage=>0, :used_storage=>38991298560, :allocated_storage=>55834574848, :ids=>[1000000000139, 1000000000029], :class_name=>"Vm"}>


Actual results:

Only 2 VMs are used in quota calculation on 5

Expected results:

All 5 are used for Group Quota

Additional info:
Comment 2 CFME Bot 2015-11-16 22:03:53 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ddee05133f2bc193b3a05e735cddb9a25271b8b9

commit ddee05133f2bc193b3a05e735cddb9a25271b8b9
Merge: ca2014f 1923ca5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Nov 16 21:57:28 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Nov 16 21:57:28 2015 -0500

    Merge branch 'quota_fixes_cherry_pick' into '5.5.z'
    
    Fix cloud requested values and fixed spec test to reflect changes.
    
    https://github.com/ManageIQ/manageiq/pull/5267
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254882
    
    Clean cherry-pick.
    
    Also resolves:
    https://bugzilla.redhat.com/show_bug.cgi?id=1248747
    https://bugzilla.redhat.com/show_bug.cgi?id=1254211
    https://bugzilla.redhat.com/show_bug.cgi?id=1126934
    https://bugzilla.redhat.com/show_bug.cgi?id=1273919
    https://bugzilla.redhat.com/show_bug.cgi?id=1263592
    
    See merge request !481

 .../QuotaMethods.class/__methods__/requested.rb    | 155 ++++++++++++++-------
 .../method_validation/calculate_requested_spec.rb  |   2 +-
 2 files changed, 109 insertions(+), 48 deletions(-)
Comment 4 errata-xmlrpc 2015-12-08 08:30:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.